trust store
svn path=/trunk/packages/invirt-vnc-client/; revision=1440
* Isolate our patches from the upstream source
* Fix the dependencies for invirt-update-vnc-cert
+ * Add an init script to refresh the VNC trust store
- -- Evan Broder <broder@mit.edu> Fri, 31 Oct 2008 06:15:10 -0400
+ -- Evan Broder <broder@mit.edu> Fri, 31 Oct 2008 06:19:59 -0400
invirt-vnc-client (0.0.5) unstable; urgency=low
--- /dev/null
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: invirt-vnc-client
+# Required-Start: $local_fs $remote_fs
+# Required-Stop: $local_fs $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Invirt VNC client certificates
+# Description: Refresh the VNC trusted certificate store for the
+# Invirt VNC client to include certificates for all
+# current hosts
+### END INIT INFO
+
+NAME=invirt-vnc-client
+DESC="Invirt VNC client certificates"
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+dpkg -s "$NAME" >/dev/null 2>/dev/null || exit 0
+
+. /lib/init/std-init.sh
+
+do_start()
+{
+ invirt-update-vnc-cert
+}
+
+do_reload()
+{
+ do_start
+}
+
+do_stop()
+{
+ return 0
+}
+
+std_init "$1"